import { db } from "@link-stack/bridge-common";
import { serviceConfig, Detail } from "@link-stack/bridge-ui";

type Props = {
  params: { segment: string[] };
};

export default async function Page({ params: { segment } }: Props) {
  const service = segment[0];
  const id = segment?.[1];

  if (!id) return null;

  const {
    [service]: { table },
  } = serviceConfig;

  const row = await db
    .selectFrom(table)
    .selectAll()
    .where("id", "=", id)
    .executeTakeFirst();

  if (!row) return null;

  return <Detail service={service} row={row} />;
}
